
/* Web Polygraph       http://www.web-polygraph.org/
 * (C) 2003-2009 The Measurement Factory
 * Licensed under the Apache License, Version 2.0 */

#ifndef POLYGRAPH__LOGANALYZERS_STATTABLE_H
#define POLYGRAPH__LOGANALYZERS_STATTABLE_H

#include "base/polygraph.h"

#include "xml/XmlTable.h"

#include <list>

class StatTable: public XmlTable {
	public:
		StatTable() {}
		explicit StatTable(const XmlTable &table): XmlTable(table) {}

		void addUnknown(const String &s) { theUnknowns.push_back(s); }
		const std::list<String> &unknowns() const { return theUnknowns; }

	protected:
		std::list<String> theUnknowns;
};

XmlTag &operator <<(XmlTag &tag, const StatTable &statTable);

#endif
